Bug 1654385 - [RFE] Add warning to mapping wizard when no OSP conversion hosts are present
Summary: [RFE] Add warning to mapping wizard when no OSP conversion hosts are present
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 16:10 UTC by Mike Turley
Modified: 2019-02-07 23:04 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:59 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
fixed_proof.png (72.30 KB, image/png)
2018-12-14 14:17 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:04 UTC

Description Mike Turley 2018-11-28 16:10:11 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 CFME Bot 2018-12-04 13:23:29 UTC
New commit detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/fd367dfcc716819b853215cd0d78077a6fbea2ff
commit fd367dfcc716819b853215cd0d78077a6fbea2ff
Author:     Michael Ro <mikerodev@gmail.com>
AuthorDate: Mon Dec  3 17:50:02 2018 -0500
Commit:     Michael Ro <mikerodev@gmail.com>
CommitDate: Mon Dec  3 17:50:02 2018 -0500

    Merge pull request #812 from mturley/690-osp-conversion-host-warning

    [#690] Add warning to mapping wizard when no OSP conversion hosts are present

    (cherry picked from commit cbcb4e5e669822c002a34f28e53f3a442f050cca)

    https://bugzilla.redhat.com/show_bug.cgi?id=1654385

 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardClustersStep/MappingWizardClustersStep.js | 17 +-
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardClustersStep/MappingWizardClustersStepActions.js | 2 +
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardClustersStep/MappingWizardClustersStepConstants.js | 2 +
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardClustersStep/MappingWizardClustersStepSelectors.js | 5 +
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardClustersStep/__tests__/MappingWizardClustersStepSelectors.test.js | 31 +
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardClustersStep/__tests__/__snapshots__/index.test.js.snap | 3 +
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardClustersStep/components/ClustersStepForm/ClustersStepForm.js | 3 +-
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardClustersStep/index.js | 4 +-
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardGeneralStep/MappingWizardGeneralStep.js | 20 +-
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardGeneralStep/MappingWizardGeneralStepActions.js | 15 +-
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardGeneralStep/MappingWizardGeneralStepConstants.js | 1 +
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardGeneralStep/MappingWizardGeneralStepReducer.js | 25 +-
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardGeneralStep/__tests__/MappingWizardGeneralStepActions.test.js | 34 +
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardGeneralStep/__tests__/MappingWizardGeneralStepReducer.test.js | 72 +
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardGeneralStep/__tests__/__snapshots__/MappingWizardGeneralStepActions.test.js.snap | 21 +
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardGeneralStep/__tests__/__snapshots__/MappingWizardGeneralStepReducer.test.js.snap | 51 +
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardGeneralStep/index.js | 3 +-
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardGeneralStep/mappingWizardGeneralStep.fixtures.js | 313 +
 18 files changed, 613 insertions(+), 9 deletions(-)

Comment 4 Yadnyawalk Tale 2018-12-14 14:17:53 UTC
Created attachment 1514379 [details]
fixed_proof.png

Verified on - 5.10.0.29.20181211195209_fd990a9 
Thanks to Mike who coordinated while verification.

Comment 5 errata-xmlrpc 2019-02-07 23:03:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.